Subject: problem about auto adding newline at the end of file
From: 李银璠 <[email-masked]>
To: [email-masked]
Date: Sat, 27 Nov 2010 18:53:17 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

My emacs does not behave as stated in the documentation,
http://www.gnu.org/software/emacs/manual/html_node/emacs/Customize-Save.html#Customize-Save
.

In the documentation, it is said that, if require-final-newline is set to
nil, no changes would be adapted to my files, leaving them not ended with
newline (0x0d0a).
My emacs, on the other hand, always adds newline at the end of file,
automatically, even when I add (setq-default require-final-newline nil); or
(setq require-final-newline nil);to .emacs. (I tried them both)

I don't know if it is a bug, or it is caused by my wrong operation. I'm
using Ubuntu 10.10, emacs 23.1.1